package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.vat.entity.Voucher;

import java.math.BigDecimal;
import java.util.Date;

public class VoucherDtoOnlyForImport {
    public String VoucherID;
    public String VID;
    public Date date;
    public String Group;
    public Integer Period;
    public String CustomerCode;
    public String CustomerName;
    public String Summary;
    public String AcctCode;
    public BigDecimal Debit;
    public BigDecimal Credit;
    public Long Attach;
    public String ItemID;
    public Date CreateTime;
    public Integer ImportType;
    public String CreatorID;
    public Integer MonthID;
    public Integer OriginalPeriod;
    public Integer Status;
    public Integer PartBilledPeriod;
    public Integer BilledPeriod;

    public Integer getPeriod() {
        return Period;
    }

    public Voucher extractVoucher(){
        Voucher voucher = new Voucher();
        voucher.setVoucherID(VoucherID);
        voucher.setVID(VID);
        voucher.setDate(date);
        voucher.setGroup(Group);
        voucher.setPeriod(Period);
        voucher.setCustomerCode(CustomerCode);
        voucher.setCustomerName(CustomerName);
        voucher.setSummary(Summary);
        voucher.setAcctCode(AcctCode);
        voucher.setDebit(Debit);
        voucher.setCredit(Credit);
        voucher.setAttach(Attach);
        voucher.setItemID(ItemID);
        voucher.setCreateTime(CreateTime);
        voucher.setImportType(ImportType);
        voucher.setCreatorID(CreatorID);
        voucher.setMonthID(MonthID);
        voucher.setOriginalPeriod(OriginalPeriod);
        voucher.setStatus(Status);
        voucher.setPartBilledPeriod(PartBilledPeriod);
        voucher.setBilledPeriod(BilledPeriod);
        return voucher;
    }
}
