package pwc.taxtech.atms;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import pwc.taxtech.atms.common.datasource.ShardingContextHolder;
import pwc.taxtech.atms.vat.dao.ReportMapper;
import pwc.taxtech.atms.vat.entity.Report;
import pwc.taxtech.atms.vat.entity.ReportExample;

import java.util.List;

public class DataSourceSwitch extends CommonIT {
    @Autowired
    private JdbcTemplate jdbcTemplate;
    @Autowired
    private ReportMapper reportMapper;

    @Test
    public void insertChieseCharacter() {
        ShardingContextHolder.setDataSourceKey("a1700000");
        ReportExample example = new ReportExample();
        example.createCriteria().andTemplateIdEqualTo(Long.valueOf("9951852766564352"))
                .andPeriodEqualTo(1);
        List<Report> reports = reportMapper.selectByExample(example);
        System.out.println(reports.size());

        ShardingContextHolder.setDataSourceKey("a1800013");
        System.out.println(reportMapper.selectByExample(example).size());
        ShardingContextHolder.setDataSourceKey("a1700000");
        System.out.println(reportMapper.selectByExample(example).size());

    }
}
